Package org.eclipse.gef

# Interface RootEditPart

All Superinterfaces:
  `EditPart`, `IAdaptable`

All Known Implementing Classes:
  `FreeformGraphicalRootEditPart`, `GraphicalRootEditPart`, `RootTreeEditPart`, `ScalableFreeformRootEditPart`, `ScalableRootEditPart`, `SimpleRootEditPart`

public interface RootEditPart extends EditPart
A RootEditPart is the root of an EditPartViewer. It bridges the gap between the EditPartViewer and its `contents`. It does not correspond to anything in the model, and typically can not be interacted with by the User. The Root provides a homogeneous context for the applications "real" EditParts.

## Field Summary

### Fields inherited from interface org.eclipse.gef.EditPart

`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

## Method Summary

Modifier and Type
Method
Description
`EditPart`
`getContents()`
Returns the contents EditPart.
`EditPartViewer`
`getViewer()`
Returns the root's EditPartViewer.
`void`
`setContents(EditPart editpart)`
Sets the contents EditPart.
`void`
`setViewer(EditPartViewer viewer)`
Sets the root's EditPartViewer.

### Methods inherited from interface org.eclipse.gef.EditPart

`activate, addEditPartListener, addNotify, deactivate, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getDragTracker, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, refresh, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

## Method Details

### getContents

EditPart getContents()
Returns the contents EditPart. A RootEditPart only has a single child, called its contents.

Returns:
  the contents.

### getViewer

EditPartViewer getViewer()
Returns the root's EditPartViewer.

Specified by:
  `getViewer` in interface `EditPart`
Returns:
  The `EditPartViewer`

### setContents

void setContents(EditPart editpart)
Sets the contents EditPart. A RootEditPart only has a single child, called its contents.

Parameters:
  `editpart` - the contents

### setViewer

void setViewer(EditPartViewer viewer)
Sets the root's EditPartViewer.

Parameters:
  `viewer` - the EditPartViewer